Bug 202833 - Setting Static IP information and then using DHCP instead,, will still use static gateway value.
Setting Static IP information and then using DHCP instead,, will still use st...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-16 13:10 EDT by Chahe Adourian
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-17 04:50:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chahe Adourian 2006-08-16 13:10:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060313 Fedora/1.5.0.1-9 Firefox/1.5.0.1 pango-text

Description of problem:


Version-Release number of selected component (if applicable):
system-config-network 1.3.30

How reproducible:
Always


Steps to Reproduce:
1.Start system-config-network 1.3.30
2. Select the ethernet device connected to your network (dhcpd is assumed to be running on the network)
3. Set static IP, netmask, gateway numbers that work. Restart your network
4. type "route" in the shell. You should see the gateway you types.
5. Go back to configuration. Modify the gateway address to something invalid. Go to shell and type "route". You should see the invalid gateway
6. Go back to configuration. Instead of using the old static numbers, select DHCP. Restart your network. Type "route" from shell. You shuould still see the incorrect gateway you had typed.
7. If you erase all the static information, and then select to use dhcp, your route will show the gateway provided by dhcp

Actual Results:
The static gateway should have been discarded, and the dhcp provided one should have been used

Expected Results:
All explained above. Sorry for using wrong format.

Additional info:
Comment 1 Nils Philippsen 2006-08-17 03:42:04 EDT
wrong component

Note You need to log in before you can comment on or make changes to this bug.